buildroot/package/dante/S50dante
Maxime Hadjinlian 467e3ea2b9 dante: new package
Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com>
[Thomas:
 - Add dependency on BR2_USE_MMU
 - Rewrap Config.in help text
 - PID file goes in /var/run/
 - Daemon to start is /usr/sbin/sockd, not /usr/sbin/dante
 - Remove staging installation, as it is not needed
 - Remove --enable-debug, since that's not what BR2_ENABLE_DEBUG is
   meant for
 - Install an example configuration file.]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2016-07-05 17:59:19 +02:00

41 lines
600 B
Bash

#!/bin/sh
#
# Starts dante
#
# Allow a few customizations from a config file
test -r /etc/default/dante && . /etc/default/dante
start() {
printf "Starting dante: "
start-stop-daemon -S -q -p /var/run/dante.pid \
--exec /usr/sbin/sockd -- $DAEMON_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping dante: "
start-stop-daemon -K -q -p /var/run/dante.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?